/* 

Module_BLAHBLAH

by Heiko Kretschmer (heiko (at) wurst-wasser.net)

ToDo:
- centern,
- mach modul
- check kantenlänge

*/

/* Sandbox */
if (0)
{
	$fn=50;
	if (1)
	{
		%color("red", a=1.0) reallyRoundedCube(sizeX=10, sizeY=20, sizeZ=30, diameter=2);
	}
	if (1)
	{	/* Referenz zum Grössenvergleich */
		translate([10,-10,0])
		%color("green", a=1.0) cube([10, 20, 30], center=false);
	}
}

/* Modules */
module reallyRoundedCube(sizeX=10, sizeY=20, sizeZ=30, diameter=5)
{
	radius=diameter/2;
	translate([0,0,sizeZ/2+radius*0]) // move to center of the plate
	minkowski() // http://doc.cgal.org/latest/Minkowski_sum_3/index.html
	{
		cube([sizeX-diameter,sizeY-diameter,sizeZ-diameter], center=true);
		// cylinder(r=2,h=1);
		sphere(r=radius);
	}

}